package com.yeejoin.amos.boot.module.tcm.api.enums;

/**
 * <pre>
 *  监管附件对象属性枚举
 * </pre>
 *
 * @author Zhang Yingbin
 */

public enum JgFileAttributeEnum {

    DESIGN_FILE("designFile",JgFileObjectEnum.DESIGN_INFO.getObject()),
    DESIGN_CODE("designCode",JgFileObjectEnum.DESIGN_INFO.getObject()),
    PRODUCE_STANDARD("produceStandard",JgFileObjectEnum.PRODUCE_INFO.getObject()),
    PRODUCT_CERTIFICATE("productCertificate",JgFileObjectEnum.PRODUCE_INFO.getObject()),
    IUM_INSTRUCTIONS("iumInstructions",JgFileObjectEnum.PRODUCE_INFO.getObject()),
    SUPERVISION_CERT("supervisionCert",JgFileObjectEnum.PRODUCE_INFO.getObject()),
    CE_CERT("ceCert",JgFileObjectEnum.PRODUCE_INFO.getObject()),
    USE_REGIST_CERTIFICATE("useRegistCertificate",JgFileObjectEnum.REGISTRATION_INFO.getObject()),
    REPAIR_INFORM("repairInform",JgFileObjectEnum.MAINTENANCE_INFO.getObject()),
    INSPECTION_REPORT("inspectionReport",JgFileObjectEnum.INSPECTION_INFO.getObject()),
    BUSINESS_LICENSE("businessLicense",JgFileObjectEnum.ENTERPRISE_INFO.getObject()),
    QUALIFICATION_CERT("qualificationCert",JgFileObjectEnum.STAFF_QUALIF_INFO.getObject()),
    GOVERNOR_EFFI_REPORT("governorEffiReport",JgFileObjectEnum.ELEVATOR_TECH_INFO.getObject());

    /**
     * 属性
     */
    private String attribute;


    /**
     * 对象
     */
    private String object;

    JgFileAttributeEnum(String attribute, String object) {
        this.attribute = attribute;
        this.object = object;
    }

    public String getAttribute() {
        return attribute;
    }

    public void setAttribute(String attribute) {
        this.attribute = attribute;
    }

    public String getObject() {
        return object;
    }

    public void setObject(String object) {
        this.object = object;
    }
}
